Subject: Re: [PATCH] gitweb: tree view: eliminate redundant "blob"

From: Jakub Narebski <[email-masked]>
Date: Tue, 26 Sep 2006 18:24:50 +0200

Petr Baudis wrote:

> Dear diary, on Tue, Sep 26, 2006 at 10:54:49AM CEST, I got a letter
> where Jakub Narebski <[email-masked]> said that...
>> I'd rather not. The fact that the file name and tree name is link,
>> and the fact that commit title and tag title is link is a _convenience_.
>> Not always it is visible (without mouseover) that it is link.
>> And it is _not_ visible in the case of files!
> 
> Then that should be fixed.
> 
> And directories should have trailing slash in their name in the tree
> listing, for people with non-UNIX background who don't understand the
> ls -l like output.

Something like ls -lF format? Currently directories differs visibly
from file entries, because directory entries are visibly links. One
single slash at the end is much less visible than change of color and
underline.

Besides "blob" link for files and "tree" link for directories states
explicitely the kind of view. List entry link states this implicitely.
I'd rather like the redundancy.

>> And for example for commits and heads there are two possible
>> views, commit and commitdiff for commit, shortlog and log for head,
>> of which we arbitrary chose one for the subject link. So in that
>> case the additional self link is needed. I'd rather have both.
> 
> For commits and heads, I agree. But that's not what this patch does.

What this patch does is introduce inconsistency. Even if you agree
to treat commits and heads specially, it treats directory entries
differently from file entries; and differently from tag entries
(where tag objects have the same duplication) in tags view. In tags
view on one hand it clearly distiguish lightweight from "heavyweight"
tags (even heavyweight tags without tag message), on the other
"tag | tag ..." for tag pointing to tag is quite strange.
 
>> And for consistency I'd rather always have visible form default
>> self link/
> 
> A parse error kicked me off here, sorry.
 
I'd rather always have the link which is in "list" entry stated
also explicitely.
 
> (I'm personally kind of ambivalent to the change.)

There are many other changes which should be rather done, like for
example remotes/ support.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git